.cropbox * {
    outline: none;
}

.cropbox {
    width: 100%;
    margin: auto;
    border: 1px solid #ccc;
    padding: 10px;
    display: inline-block;
}

.cropbox .cropbox-error {
    display: none;
    color: #cc0000;
    font-size: 12px;
    text-align: center;
    margin-bottom: 2px;
}

.cropbox img {
    max-width: 100%;
    /* This rule is very important, please do not ignore this! */
    max-height: 100%;
    /* This rule is very important, please do not ignore this! */
}

.cropbox .cropbox-preview-block {
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cropbox .cropbox-preview {
    overflow: hidden;
    width: 100%;
    height: 100%;
    border: 1px solid #ddd;
    background: url('../../assets/cropper/images/grid-transparency.png');
    max-height: 150px;
}

.cropbox .cropbox-areablock {
    width: 70%;
    float: left;
}

.cropbox .cropbox-previewblock {
    width: 30%;
    float: left;
    padding-left: 10px;
}

.cropbox .cropbox-inputbtn {
    /* width: 110px; */
    /* border-right: 1px solid var(--theme-color-2) !important; */
    display: inline-flex;
    height: 25px;
    background-color:var(--theme-color-2) !important;
    /* padding: 0px 6px; */
    color: #fff !important;
    cursor: pointer;
    vertical-align: top;
    margin-bottom: 0;
    align-items: center;
    font-weight: normal;
    width: 100px;
    padding: 0px 3px;
    font-size: 14px;
}

.cropbox .cropbox-inputlabel {
    border: 1px solid var(--theme-color-2);
    display: inline-block;
    width: 100%;
    border-radius: .25rem;
    margin-bottom: 5px;
    padding: 5px;
}

.cropbox .cropbox-fileinput {
    display: none;
}

.cropbox .cropbox-previewtitle {
    height: 37px;
    font-size: 16px;
    color:var(--theme-color-2);
    /* border: 1px solid var(--theme-color-2); */
    margin-bottom: 5px;
    border-radius: .25rem;
    display: inline-flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.cropbox-buttons button {
    border-radius: 4px;
    padding: 6px 15px;
    width: 100%;
    margin: 5px 0;
}

.cropbox .cropbox-theme-btn-color {
    background:var(--theme-color-2);
    border: none;
}

.cropbox .cropbox-savebtn {
    border-color:var(--theme-color-2) !important;
    color: #fff;
}

.cropbox .cropbox-buttons {
    margin-top: 10px;
}

.cropbox .cropbox-clearfix {
    clear: both;
}

.cropbox .cropbox-settings {
    /* border: 1px solid var(--theme-color-2); */
    margin-top: 10px;
    border-radius: 3px;
    /* padding: 5px;
    font-size: 12px; */
    text-align: center;
}


/* .cropbox .cropbox-settings button {
    border-color:var(--theme-color-2);
    color: #fff;
    border-radius: 4px;
    padding: 2px 5px;
} */

.cropbox .cropbox-cropper {
    height: 250px;
}

.cropbox .cropbox-cropper.noimage {
    position: relative;
}

.cropbox .cropbox-cropper.noimage:before {
    content: "Please Select Image";
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    background: #f1f1f1;
    border: 1px solid #ddd;
}

.cropbox .cropbox-typeselect {
    font-weight: normal;
    font-size: 12px;
    height: 100%;
    vertical-align: top;
    margin-bottom: 0;
    cursor: pointer;
}

.cropbox .cropbox-typeselect input {
    margin-left: 10px;
    margin-right: 5px;
}

.cropbox .cropper-disabled:before {
    content: "";
    background: #fff;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    z-index: 1;
    opacity: 0.8;
}

.cropbox .cropper-disabled:after {
    content: "Preview original image";
    top: 0px;
    left: 0;
    font-size: 22px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    right: 0;
    bottom: 40px;
    position: absolute;
    z-index: 1;
    background: url(../images/arrowimage.png) no-repeat;
    background-position: 80% 50px;
}

.cropbox .cropbox-preview.make-use-original {
    display: flex;
    align-items: center;
    justify-content: center;
}

.cropbox .cropbox-preview.make-use-original img {
    max-width: 100% !important;
    max-height: 100% !important;
    height: auto !important;
    width: auto !important;
    transform: none !important;
}

.cropbox .cropbox-typeselect input {
    display: none;
}

.cropbox .cropbox-typeselect input:checked+span {
    /* background:var(--theme-color-2); */
    color: #fff;
}

.cropbox .cropbox-typeselect span {
    height: 100%;
    display: inline-flex;
    width: 100px;
    align-items: center;
    position: relative;
    justify-content: center;
    transition: color 0.2s ease-in-out;
    padding-left: 5px;
}

.cropbox .cropbox-image-type-controls {
    display: inline-block;
    border: 1px solid var(--theme-color-2);
    vertical-align: top;
    height: 25px;
    border-radius: 3px;
    float: right;
    font-size: 0;
}

.cropbox .cropbox-typeselect:first-child input+span:after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: var(--theme-color-1);
    z-index: 0;
    left: 0;
    transform: translateX(100%);
    transition: transform 0.2s ease-in-out;
}

.cropbox .cropbox-typeselect:first-child input:checked+span:after {
    transform: translateX(0);
}

.cropbox .cropbox-typeselect input:checked+span:before {
    content: '';
    display: block;
    width: 6px;
    height: 10px;
    border-color: #fff;
    border-right: 2px solid;
    border-bottom: 2px solid;
    transform: rotate(45deg);
    position: absolute;
    left: 8px;
    top: 5px;
    z-index: 1;
}


/* By Brijesh */

.cropbox .cropbox-inputlabel {
    padding: 3px;
}

@media (max-width:575px) {
    .cropbox .cropbox-inputlabel {
        padding: 4px;
    }
}

@media (max-width:1199px) {
    .cropbox .cropbox-inputbtn {
        width: 100%;
        margin-bottom: 5px;
    }
    /* display: flex;
        align-items: center;
        justify-content: center;}   */
}

@media (max-width: 767px) {
    .cropbox .cropbox-inputbtn {
        width: 100px;
        display: inline-block;
    }
}

@media (max-width:575px) {
    .cropbox .cropbox-inputbtn {
        width: 100%;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 4px;
    }
}

.cropbox .cropbox-typeselect {
    font-size: 13px;
}

.cropbox .cropbox-typeselect input:checked+span:before {
    left: 6px;
    top: 5px;
}

.cropbox .cropbox-typeselect span {
    width: 90px;
    padding-left: 6px;
}


/* new css */

.modal-title {
    text-align: left;
}

.modal-size {
    padding: 10px;
    padding-bottom: 22px;
}

.m-size {
    border-radius: 8px !important;
}

.header-radius {
    border-radius: 8px 8px 0px 0px!important;
}

.form-padding {
    padding-top: 8px !important;
}

.cropbox {
    border: none;
    padding: 10px;
    /* background-color: #fbfafa; */
}

.cropbox .cropbox-cropper {
    height: 270px;
}

.cropbox .cropbox-inputlabel {
    border: none;
    padding: 15px 0px;
}

.cropbox .cropbox-inputbtn {
    border-right: 0px;
    border-radius: 4px !important;
    background-color: gainsboro;
    color: #0d0c0c;
    height: 34px;
    padding: 5px 15px;
    width: 110px;
    font-weight: 600;
}

.cropbox .cropbox-typeselect span {
    width: 115px;
    padding-left: 7px;
    padding-right: 0px;
    font-weight: 600;
}

.cropbox .cropbox-typeselect input:checked+span:before {
    width: 9px;
    height: 18px;
    border-right: 3px solid;
    border-bottom: 3px solid;
    left: 11px;
}

.cropbox .cropbox-image-type-controls {
    display: inline-block;
    border-radius: 4px !important;
    border: 1px solid #bebebe;
    height: 34px;
}

label.cropbox-typeselect {
    background-color: gainsboro;
    color: #0d0c0c;
}

.cropbox .cropbox-previewtitle {
    height: 34px;
    color: #0a0b0b;
    margin-bottom: 0px;
    text-align: center;
    line-height: 1;
    display: block;
}

.cropbox .cropbox-preview {
    /* overflow: hidden;
    width: 100%;
    height: 100%;
    border: 1px solid #ddd; */
    border: 2px solid #ddd;
    max-height: 170px;
}

.cropbox .cropbox-theme-btn-color {
    border-radius: 4px !important;
}


/* .cropbox-buttons button {
    border-radius: 4px !important;
    border-radius: 4px;
    padding: 4px 0px;
    width: 96%;
    margin: 4px 3px;
} */

.cropbox-buttons button {
    border-radius: 4px !important;
    border-radius: 4px;
    padding: 5px;
    width: 95%;
    margin: 0px 5px;
}

.cropbox-resetbtn {
    border: none;
    color: #0d0c0c;
    background-color: gainsboro;
    font-size: 16px;
}

.form-h {
    padding-top: 12px !important;
    background-color: #fbfbfb;
    margin-bottom: 0px!important;
}

.form-padding {
    margin-bottom: 8px!important;
}

.cropbox-settings {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* text-align: center; */
    padding: 0px;
    width: 100%;
    height: 100%;
}

.cropbox-settings .cropbox-theme-btn-color {
    border: none;
    background: white;
    width: 80px;
    padding: 0;
    font-size: 11px;
}

.cropbox-settings .cropbox-theme-btn-color.xs-btn {
    width: 48px;
}

.cropbox-settings .cropbox-theme-btn-color.md-btn {
    width: 56px;
}

.cropbox-settings .cropbox-theme-btn-color.xl-btn {
    width: 66px;
}

.cropbox-cancelbtn {
    margin-left: 30px;
    border: none;
    border-radius: 4px !important;
    border-color: none;
    color: #252424;
    background-color: gainsboro;
    padding: 2px 10px;
    display: inline-block;
    /* margin-top:20px; */
}

.cropbox-savebtn {
    border: none;
    border-radius: 4px !important;
    border-color: none;
    color: #fff;
    background:var(--theme-color-2);
    padding: 2px 18px;
    display: inline-block;
    /* margin-left:90px; */
}

.cropper-line {
    border-style: dashed;
    border-color: #21a651;
    background-color: unset;
    border-width: 1px;
    opacity: 1;
}

.cropper-line.line-n {
    height: 0px;
    top: 0;
}

.cropper-line.line-s {
    height: 0px;
    bottom: 0px;
}

.cropper-line.line-e {
    width: 0px;
    right: 0;
}

.cropper-line.line-w {
    width: 0px;
    left: 0;
}

.cropper-point.point-se {
    bottom: -3px;
    /* cursor: nwse-resize; */
    height: 24px;
    opacity: 1;
    right: -3px;
    width: 24px;
}


/* .cropper-point.point-se {
    bottom: -3px;
    cursor: nwse-resize;
    height: 24px;
    opacity: 1;
    right: -3px;
    width:24px;
} */

.cropper-point {
    opacity: 1;
    height: 24px;
    margin: -10px;
    width: 24px;
    border-radius: 100% !important;
    background-color: #51a99a;
}

.cropper-point.point-ne:before,
.cropper-point.point-sw:before {
    content: "‹›";
    color: white;
    position: absolute;
    display: inline-block;
    font-size: 22px;
    top: 14px;
    left: 7px;
    transform: rotate(135deg);
}

.cropper-point.point-nw:before {
    content: "‹›";
    color: white;
    position: absolute;
    display: inline-block;
    font-size: 22px;
    top: 10px;
    left: 8px;
    transform: rotate(48deg);
}


/* .cropper-point.point-sw:before {
    content: "‹›";
    color: white;
    position: absolute;
    display: inline-block;
    font-size: 22px;
    top: 9px;
    left: 7px;
    transform: rotate(135deg);
} */

.cropper-point.point-se:after {
    content: "‹›";
    color: white;
    position: absolute;
    display: inline-block;
    font-size: 22px;
    top: 10px;
    left: 8px;
    transform: rotate(48deg);
}

.check {
    height: 20px;
    width: 20px;
    margin-left: 4px;
}

.cropbox-typeselect.check span {
    background-color:var(--theme-color-2);
}

.img-icon {
    height: 18px;
    width: 18px;
    margin-bottom: 6px;
}

.btn-bottom {
    display: flex;
    font-weight: bold;
    font-size: 14px;
    justify-content: flex-end;
    align-items: flex-end;
}

.cropper-point.point-e,
.cropper-point.point-n,
.cropper-point.point-s,
.cropper-point.point-w {
    display: none !important;
}

.cropbox-settings {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    padding: 0px;
    width: 100%;
    height: 100%;
}

.cropbox-settings .crop-action {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.btn-bottom>button {
    padding: 5px !important;
}

.btn-bottom button.cropbox-savebtn {
    background:var(--theme-color-2) !important;
    color: #ffffff !important;
    font-size: 14px;
    width: 70px;
    margin: 0;
}

.btn-bottom button.cropbox-cancelbtn {
    background: gainsboro;
    font-size: 14px;
    width: 70px;
    margin: 0;
    margin-right: 5px;
}

.cropbox {
    padding: 0;
}


/* @media (max-width:1199px){
    .cropbox .cropbox-typeselect span{
        width: 100%;}
}
@media (max-width:1199px){
    .cropbox .cropbox-typeselect{
        width: 50%;}
}  */

@media (max-width:767px) {
    .cropbox-settings .crop-action {
        padding: 10px 0;
    }
    .cropbox .cropbox-settings {
        display: block;
    }
    /* .cropbox .cropbox-inputbtn{
        width: 100%;} */
    .cropbox-buttons button {
        margin: 0;
        width: 100%;
    }
    .cropbox .cropbox-previewblock {
        padding: 0;
    }
    .cropbox .cropbox-typeselect,
    .cropbox .cropbox-settings .btn-bottom button {
        width: 50%;
    }
}


/* @media (max-width:1199px){
    .cropbox .cropbox-image-type-controls{
        width: 100%;}
} */

@media (max-width:767px) {
    .cropbox .cropbox-image-type-controls {
        width: 60%;
    }
}

@media (max-width:425px) {
    .cropbox .cropbox-inputbtn,
    .cropbox .cropbox-typeselect span,
    .cropbox .cropbox-image-type-controls {
        width: 100%;
    }
}


/* @media (max-width: 575px){
    .cropbox .cropbox-image-type-controls{
        width: 100%;}
} */

.cropbox .cropbox-settings {
    padding: 0;
    font-size: 12px;
    background: #ffffff;
}

@media(max-width:991px) {
    .cropbox .cropbox-settings {
        padding: 2px;
        font-size: 11px;
    }
}

@media (max-width:575px) {
    .cropbox {
        padding: 5px;
    }
}

@media (max-width:991px) {
    .cropbox .cropbox-areablock {
        width: 100%;
    }
}

@media (max-width:575px) {
    .cropbox .cropbox-areablock {
        width: 100%;
    }
}

@media (max-width: 767px) {
    .cropbox .cropbox-settings button {
        padding: 2px 16px;
    }
}

.cropbox .cropbox-settings button {
    margin-bottom: 3px;
    padding: 3px 2px;
}

@media (max-width: 991px) {
    .cropbox .cropbox-previewblock {
        width: 100%;
    }
}

@media (max-width:575px) {
    .cropbox .cropbox-previewblock {
        width: 100%;
    }
}

@media (max-width:991px) {
    .cropbox .cropbox-settings button {
        margin-bottom: 3px;
    }
}

@media (max-width:575px) {
    .cropbox .cropbox-settings button {
        margin-bottom: 3px;
    }
}

@media (max-width:992px) {
    .nav-justified>li,
    .nav-tabs.nav-justified>li {
        vertical-align: bottom;
    }
}